Package org.gradle.plugins.ide.eclipse.model

# Enum Class ResourceFilterType

java.lang.Object
java.lang.Enum<ResourceFilterType>
org.gradle.plugins.ide.eclipse.model.ResourceFilterType

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceFilterType>`, `Constable`

@Incubating public enum ResourceFilterType extends Enum<ResourceFilterType>
Specifies whether an Eclipse `ResourceFilter` is including or excluding resources.

Since:
  3.5

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCLUDE_ALL`
`INCLUDE_ONLY`

## Method Summary

Modifier and Type
Method
Description
`static ResourceFilterType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceFilterType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCLUDE_ONLY

public static final ResourceFilterType INCLUDE_ONLY

### EXCLUDE_ALL

public static final ResourceFilterType EXCLUDE_ALL

## Method Details

### values

public static ResourceFilterType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResourceFilterType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null